version: '2'

services:
    database:
        build: ./postgresql
        container_name: zabbix-postgresql
#        restart: unless-stopped
        networks:
            zabbix.internal.docker:
                aliases:
                    - postgresql.zabbix.internal.docker
        volumes:
            - ./data/postgresql/data:/var/lib/postgresql/data
            - ./data/postgresql/backup:/var/lib/postgresql/backup
        ports:
            - "127.0.0.1:34080:5432"
        env_file:
            - env

    zabbix:
        build: ./zabbix
        container_name: zabbix-zabbix
#        restart: unless-stopped
        networks:
            zabbix.internal.docker:
                aliases:
                    - zabbix.zabbix.internal.docker
        ports:
            - "127.0.0.1:10051:10051"
        env_file:
            - env

    frontend:
        build: ./frontend
        container_name: zabbix-frontend
#        restart: unless-stopped
        networks:
            zabbix.internal.docker:
                aliases:
                    - frontend.zabbix.internal.docker
        ports:
            - "127.0.0.1:34081:80"
        env_file:
            - env

networks:
    zabbix.internal.docker:
